| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::PathBuilder Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::PathBuilder:

## Public Member Functions
| PathBuilder ()
Path | BuildCopy (ImpellerFillType fill=ImpellerFillType::kImpellerFillTypeNonZero) const
Path | Build (ImpellerFillType fill=ImpellerFillType::kImpellerFillTypeNonZero)
PathBuilder & | AddArc (const ImpellerRect &oval_bounds, float start_angle_degrees, float end_angle_degrees)
PathBuilder & | AddOval (const ImpellerRect &oval_bounds)
PathBuilder & | AddRect (const ImpellerRect &rect)
PathBuilder & | AddRoundedRect (const ImpellerRect &rect, const ImpellerRoundingRadii &rounding_radii)
PathBuilder & | Close ()
PathBuilder & | CubicCurveTo (const ImpellerPoint &control_point_1, const ImpellerPoint &control_point_2, const ImpellerPoint &end_point)
PathBuilder & | LineTo (const ImpellerPoint &location)
PathBuilder & | MoveTo (const ImpellerPoint &location)
PathBuilder & | QuadraticCurveTo (const ImpellerPoint &control_point, const ImpellerPoint &end_point)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >
| Object ()=default
| Object (ImpellerPathBuilder object)
| Object (ImpellerPathBuilder object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerPathBuilder | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerPathBuilder

Definition at line 1321 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ PathBuilder()

IMPELLER_HPP_NAMESPACE::PathBuilder::PathBuilder | ( |  | ) |
| inline

Definition at line 1324 of file impeller.hpp.

1325 : Object(gGlobalProcTable.ImpellerPathBuilderNew(), AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ AddArc()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::AddArc | ( | const ImpellerRect & | oval_bounds,
|  | float | start_angle_degrees,
|  | float | end_angle_degrees
| ) |  |
| inline

See also
  ImpellerPathBuilderAddArc

Definition at line 1348 of file impeller.hpp.

1350 {
1351 gGlobalProcTable.ImpellerPathBuilderAddArc(Get(), //
1352 &oval_bounds, //
1353 start_angle_degrees, //
1354 end_angle_degrees //
1355 );
1356 return *this;
1357 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get
ImpellerPathBuilder Get() const
Definition: impeller.hpp:278

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ AddOval()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::AddOval | ( | const ImpellerRect & | oval_bounds | ) |
| inline

See also
  ImpellerPathBuilderAddOval

Definition at line 1362 of file impeller.hpp.

1362 {
1363 gGlobalProcTable.ImpellerPathBuilderAddOval(Get(), &oval_bounds);
1364 return *this;
1365 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ AddRect()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::AddRect | ( | const ImpellerRect & | rect | ) |
| inline

See also
  ImpellerPathBuilderAddRect

Definition at line 1370 of file impeller.hpp.

1370 {
1371 gGlobalProcTable.ImpellerPathBuilderAddRect(Get(), &rect);
1372 return *this;
1373 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ AddRoundedRect()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::AddRoundedRect | ( | const ImpellerRect & | rect,
|  | const ImpellerRoundingRadii & | rounding_radii
| ) |  |
| inline

See also
  ImpellerPathBuilderAddRoundedRect

Definition at line 1378 of file impeller.hpp.

1379 {
1380 gGlobalProcTable.ImpellerPathBuilderAddRoundedRect(Get(), &rect,
1381 &rounding_radii);
1382 return *this;
1383 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ Build()

Path IMPELLER_HPP_NAMESPACE::PathBuilder::Build | ( | ImpellerFillType | fill = `ImpellerFillType::kImpellerFillTypeNonZero` | ) |
| inline

See also
  ImpellerPathBuilderTakePathNew

Definition at line 1339 of file impeller.hpp.

1340 {
1341 return Path(gGlobalProcTable.ImpellerPathBuilderTakePathNew(Get(), fill),
1342 AdoptTag::kAdopt);
1343 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ BuildCopy()

Path IMPELLER_HPP_NAMESPACE::PathBuilder::BuildCopy | ( | ImpellerFillType | fill = `ImpellerFillType::kImpellerFillTypeNonZero` | ) | const
| inline

See also
  ImpellerPathBuilderCopyPathNew

Definition at line 1330 of file impeller.hpp.

1331 {
1332 return Path(gGlobalProcTable.ImpellerPathBuilderCopyPathNew(Get(), fill),
1333 AdoptTag::kAdopt);
1334 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Close()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::Close | ( |  | ) |
| inline

See also
  ImpellerPathBuilderClose

Definition at line 1388 of file impeller.hpp.

1388 {
1389 gGlobalProcTable.ImpellerPathBuilderClose(Get());
1390 return *this;
1391 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ CubicCurveTo()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::CubicCurveTo | ( | const ImpellerPoint & | control_point_1,
|  | const ImpellerPoint & | control_point_2,
|  | const ImpellerPoint & | end_point
| ) |  |
| inline

See also
  ImpellerPathBuilderCubicCurveTo

Definition at line 1396 of file impeller.hpp.

1398 {
1399 gGlobalProcTable.ImpellerPathBuilderCubicCurveTo(
1400 Get(), &control_point_1, &control_point_2, &end_point);
1401 return *this;
1402 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ LineTo()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::LineTo | ( | const ImpellerPoint & | location | ) |
| inline

See also
  ImpellerPathBuilderLineTo

Definition at line 1407 of file impeller.hpp.

1407 {
1408 gGlobalProcTable.ImpellerPathBuilderLineTo(Get(), &location);
1409 return *this;
1410 }
location
uint32_t location
Definition: compiler_unittests.cc:129

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and location.

## ◆ MoveTo()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::MoveTo | ( | const ImpellerPoint & | location | ) |
| inline

See also
  ImpellerPathBuilderMoveTo

Definition at line 1415 of file impeller.hpp.

1415 {
1416 gGlobalProcTable.ImpellerPathBuilderMoveTo(Get(), &location);
1417 return *this;
1418 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and location.

## ◆ QuadraticCurveTo()

PathBuilder& IMPELLER_HPP_NAMESPACE::PathBuilder::QuadraticCurveTo | ( | const ImpellerPoint & | control_point,
|  | const ImpellerPoint & | end_point
| ) |  |
| inline

See also
  ImpellerPathBuilderQuadraticCurveTo

Definition at line 1423 of file impeller.hpp.

1424 {
1425 gGlobalProcTable.ImpellerPathBuilderQuadraticCurveTo(Get(), &control_point,
1426 &end_point);
1427 return *this;
1428 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerPathBuilder, ImpellerPathBuilderTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp